Summary:       Sort files in sophisticated ways
Name:          msort
Version:       8.53
Release:       14%{?dist}
License:       GPLv3
Group:         Applications/Publishing
URL:           http://billposer.org/Software/msort.html
Source0:       http://billposer.org/Software/Downloads/%{name}-%{version}.tar.bz2
Patch0:        msort-8.53-dso.patch
BuildRequires: tre-devel >= 0.8.0 libuninum-devel >= 2.5 libicu-devel gmp-devel
BuildRequires: automake autoconf
Requires:      iwidgets

%description

Msort is a program for sorting files in sophisticated ways. Records
need not be single lines. Key fields may be selected by position, tag,
or character range. For each key, distinct exclusions, multigraphs,
substitutions. and a sort order may be defined. Comparisons may be
lexicographic, numeric, by string length, date, or time. Optional keys
are supported. Msort uses the Unicode character set and provides full
Unicode case-folding. The basic program has a somewhat complex command
line interface, but may be driven by an optional GUI.

%prep
%setup -q
%patch0 -p1

%build
aclocal
automake --add-missing --copy
autoconf
%configure --disable-utf8proc
%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install
%{__install} -p -m 0644 -D msort.1 %{buildroot}%{_mandir}/man1/msort.1

%files
%doc AUTHORS COPYING ChangeLog Doc/* NEWS README TODO
%{_bindir}/msg
%{_bindir}/msort
%{_mandir}/man1/msort.1*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.53-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.53-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 14 2014 David Tardon <dtardon@redhat.com> - 8.53-12
- rebuild for new ICU

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.53-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 8.53-10
- Rebuild for icu 50
- spec cleanup as per recent guidelines changes

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.53-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Terje Rosten <terje.rosten@ntnu.no> - 8.53-8
- Re-enable msg
- New icu

* Sun Feb 12 2012 Terje Rosten <terje.rosten@ntnu.no> - 8.53-7
- Remove msg for now

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.53-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 12 2011 Terje Rosten <terje.rosten@ntnu.no> - 8.53-5
- rebuilt for new icu

* Sun Mar 13 2011 Terje Rosten <terje.rosten@ntnu.no> - 8.53-4
- rebuilt for new icu 4.4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.53-3
- rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 02 2010 Caolán McNamara <caolanm@redhat.com> - 8.53-2
- rebuilt for new icu 4.4

* Wed Feb 10 2010 Terje Rosten <terje.rosten@ntnu.no> - 8.53-1
- 8.53
- add DSO patch

* Sun Dec 06 2009 Dominik Mierzejewski <rpm@greysector.net> - 8.46-5
- rebuilt for new tre

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.46-4
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.46-3
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 03 2008 Caolán McNamara <caolanm@redhat.com> - 8.46-2
- rebuild for new icu

* Thu May 29 2008 Terje Rosten <terje.rosten@ntnu.no> - 8.46-1
- 8.46

* Tue May 20 2008 Terje Rosten <terje.rosten@ntnu.no> - 8.45-1
- 8.45
- random cleanup
- build with libicu
- add req on iwidgets

* Sun Jun 17 2007 Dries Verachtert - 8.40-1
- rebuild against libuninum 2.5.

* Tue Oct 18 2005 Dries Verachtert - 8.9-1
- initial package.
